%parametri e dati
M=2;
betadB=[4:1:10]; %Eb/N0 in dB
bits=1e6; %per la simulazione
%analisi teorica
beta=10.^(betadB/10); %Eb/N0
gamma=beta*log2(M); %Eav/N0
pet=1/2*erfc((gamma).^0.5); %binaria antipodale
%simulazione
for i=1:length(gamma)
    sigma=(1/(2*gamma(i)))^0.5; %Eav=1
    noise=sigma*randn(1,bits);
    pes(i)=sum(noise>1)/bits; %trasmessi tutti "0"
end
%grafici
semilogy(betadB,pet,'k:o');
hold on
semilogy(betadB,pes,'r*');
xlabel('E_b/N_0 [dB]');
ylabel('B.E.R.');
title('Modulazione binaria antipodale');
